# [Deprecated] Patch workspace schema field definitions
Source: https://docs.file.ai/api-reference/schemas-file-types/deprecated-patch-workspace-schema-field-definitions

> **Deprecated.** To update extracted field values of a file — including regular fields (string, number, enum, date, boolean) and list/table cell values — use `PATCH /files/{fileId}/values` instead.

patch /prod/v1/schemas

**Deprecated.** To update extracted field values of a file — including regular fields (string, number, enum, date, boolean) and list/table cell values — use `PATCH /files/{fileId}/values` instead.

This endpoint remains available for patching schema field definitions, but will be removed in a future version.

This endpoint is used to patch a schema.

The `schemaId` field is used to specify the schema that should be patched. The `fields` field is used to specify the fields that should be updated.

The `fields` field is an array of fields. Each field contains the following fields:

- `title`: The title of the field. This is the human-readable name of the field.

- `description`: The description of the field. This is a human-readable description of the field.

- `type`: The type of the field. This can be either STRING, NUMBER, BOOLEAN, DATE, or OBJECT.

- `format`: The format of the field. This is a string that indicates the format of the field.

- `hidden`: Whether the field is hidden or not. This is a boolean value that indicates whether the field is hidden or not.

- `internet_context`: Whether the field is internet context or not. This is a boolean value that indicates whether the field is internet context or not.

- `fieldSuggestion`: The field suggestion of the field. This is an object that contains the following fields:

  - `id`: The ID of the field suggestion. This is the unique identifier for the field suggestion.

  - `name`: The name of the field suggestion. This is the human-readable name of the field suggestion.

- `items`: The items of the field. This is an array of fields that are the items of the field.

- `value`: The value of the field. This is the value of the field.

- `enumValues`: The enum values of the field. This is an array of strings that are the enum values of the field.

- `inlineListType`: The inline list type of the field. This is a string that indicates the inline list type of the field.
